
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Voyager.AIagent module &#8212; PhaserVoyager 0.0.1 documentation</title>
    <link rel="stylesheet" href="_static/sphinxdoc.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Voyager.phaser.voyager module" href="Voyager.phaser.voyager.html" />
    <link rel="prev" title="Voyager.gui.voyagergui module" href="Voyager.gui.voyagergui.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="Voyager.phaser.voyager.html" title="Voyager.phaser.voyager module"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="Voyager.gui.voyagergui.html" title="Voyager.gui.voyagergui module"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PhaserVoyager 0.0.1 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="modules.html" >src</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="Voyager.html" accesskey="U">Voyager package</a> &#187;</li> 
      </ul>
    </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="Voyager.gui.voyagergui.html"
                        title="previous chapter">Voyager.gui.voyagergui module</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="Voyager.phaser.voyager.html"
                        title="next chapter">Voyager.phaser.voyager module</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/Voyager.AIagent.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-Voyager.AIagent">
<span id="voyager-aiagent-module"></span><h1>Voyager.AIagent module<a class="headerlink" href="#module-Voyager.AIagent" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="Voyager.AIagent.AiAgent">
<em class="property">class </em><code class="descclassname">Voyager.AIagent.</code><code class="descname">AiAgent</code><span class="sig-paren">(</span><em>strategy</em>, <em>arguments</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/AIagent.html#AiAgent"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.AIagent.AiAgent" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<dl class="method">
<dt id="Voyager.AIagent.AiAgent.analyse">
<code class="descname">analyse</code><span class="sig-paren">(</span><em>check_ending=False</em>, <em>stateid=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/AIagent.html#AiAgent.analyse"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.AIagent.AiAgent.analyse" title="Permalink to this definition">¶</a></dt>
<dd><p>Now: It does nothing
Future: The AI should analyse all the open branches ([x.voyager_dag for x in self.states]) and decide</p>
<blockquote>
<div>if the priority for that branch should be changed (increased or decreased) and if a branch should die or not</div></blockquote>
</dd></dl>

<dl class="method">
<dt id="Voyager.AIagent.AiAgent.branch_out_from_here">
<code class="descname">branch_out_from_here</code><span class="sig-paren">(</span><em>schedule</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/AIagent.html#AiAgent.branch_out_from_here"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.AIagent.AiAgent.branch_out_from_here" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.AIagent.AiAgent.get_next">
<code class="descname">get_next</code><span class="sig-paren">(</span><em>schedule</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/AIagent.html#AiAgent.get_next"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.AIagent.AiAgent.get_next" title="Permalink to this definition">¶</a></dt>
<dd><dl class="docutils">
<dt>Now: The current implementation will iter over all the parameterisation possibilities and will branch each one of them in a different</dt>
<dd>new state_id.</dd>
</dl>
<p>Future: The AI should take the decision for the current parameterisation only based on the current running time status of dags, data and models</p>
</dd></dl>

</dd></dl>

<dl class="exception">
<dt id="Voyager.AIagent.AiAgentError">
<em class="property">exception </em><code class="descclassname">Voyager.AIagent.</code><code class="descname">AiAgentError</code><a class="reference internal" href="_modules/Voyager/AIagent.html#AiAgentError"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.AIagent.AiAgentError" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">exceptions.Exception</span></code></p>
</dd></dl>

<dl class="class">
<dt id="Voyager.AIagent.ListCandidates">
<em class="property">class </em><code class="descclassname">Voyager.AIagent.</code><code class="descname">ListCandidates</code><span class="sig-paren">(</span><em>arguments</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/AIagent.html#ListCandidates"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.AIagent.ListCandidates" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<dl class="method">
<dt id="Voyager.AIagent.ListCandidates.check_conditio_hhpred">
<code class="descname">check_conditio_hhpred</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/AIagent.html#ListCandidates.check_conditio_hhpred"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.AIagent.ListCandidates.check_conditio_hhpred" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.AIagent.ListCandidates.get_actions">
<code class="descname">get_actions</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/AIagent.html#ListCandidates.get_actions"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.AIagent.ListCandidates.get_actions" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.AIagent.ListCandidates.get_param_action">
<code class="descname">get_param_action</code><span class="sig-paren">(</span><em>action_name</em>, <em>index</em>, <em>state</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/AIagent.html#ListCandidates.get_param_action"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.AIagent.ListCandidates.get_param_action" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.AIagent.ListCandidates.list_params">
<code class="descname">list_params</code><span class="sig-paren">(</span><em>action_name</em>, <em>state</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/AIagent.html#ListCandidates.list_params"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.AIagent.ListCandidates.list_params" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="Voyager.phaser.voyager.html" title="Voyager.phaser.voyager module"
             >next</a> |</li>
        <li class="right" >
          <a href="Voyager.gui.voyagergui.html" title="Voyager.gui.voyagergui module"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PhaserVoyager 0.0.1 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="modules.html" >src</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="Voyager.html" >Voyager package</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2020, Massimo D. Sammito.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.8.5.
    </div>
  </body>
</html>